package com.yd.api.practitioner.vo.hiring;

import com.yd.api.result.CommonResult;
import com.yd.dal.entity.practitioner.hiring.*;

import java.util.List;

/**
 * @author xxy
 */
public class HiringDetailQueryResponseVO {
    /**
     * 经纪人基本信息id  ag_acl_practitioner_hiring_basic_info.id
     */
    private Long hiringBasicInfoId;
    /**
     * 头像
     */
    private String headImagePath;
    /**
     * 级别
     */
    private String levelName;
    /**
     * 经纪人审批步骤/状态
     */
    private HiringApproveSteps hiringApproveSteps;
    /**
     * 经纪人审批基本信息
     */
    private HiringBasicInfo hiringBasicInfo;
    /**
     * 审批经纪人关系
     */
    private HiringMemberShip hiringMemberShip;
    /**
     * 审批经纪人工作经历
     */
    private List<HiringWorkingExperience> hiringWorkingExperienceList;
    /**
     * 经纪人申请名目
     */
    private List<HiringPersonalStatements> hiringPersonalStatementsList;
    /**
     * 经纪人合同条款是否同意
     */
    private List<HiringContractTermsConfirms> hiringContractTermsConfirmsList;
    /**
     * 已审批结果
     */
    private List<HiringApproveRecords> hiringApproveRecordsList;

    private CommonResult commonResult;


    /**
     * 获取 经纪人基本信息id  ag_acl_practitioner_hiring_basic_info.id
     *
     * @return hiringBasicInfoId 经纪人基本信息id  ag_acl_practitioner_hiring_basic_info.id
     */
    public Long getHiringBasicInfoId() {
        return this.hiringBasicInfoId;
    }

    /**
     * 设置 经纪人基本信息id  ag_acl_practitioner_hiring_basic_info.id
     *
     * @param hiringBasicInfoId 经纪人基本信息id  ag_acl_practitioner_hiring_basic_info.id
     */
    public void setHiringBasicInfoId(Long hiringBasicInfoId) {
        this.hiringBasicInfoId = hiringBasicInfoId;
    }

    /**
     * 获取 经纪人审批步骤状态
     *
     * @return hiringApproveSteps 经纪人审批步骤状态
     */
    public HiringApproveSteps getHiringApproveSteps() {
        return this.hiringApproveSteps;
    }

    /**
     * 设置 经纪人审批步骤状态
     *
     * @param hiringApproveSteps 经纪人审批步骤状态
     */
    public void setHiringApproveSteps(HiringApproveSteps hiringApproveSteps) {
        this.hiringApproveSteps = hiringApproveSteps;
    }

    /**
     * 获取 经纪人审批基本信息
     *
     * @return hiringBasicInfo 经纪人审批基本信息
     */
    public HiringBasicInfo getHiringBasicInfo() {
        return this.hiringBasicInfo;
    }

    /**
     * 设置 经纪人审批基本信息
     *
     * @param hiringBasicInfo 经纪人审批基本信息
     */
    public void setHiringBasicInfo(HiringBasicInfo hiringBasicInfo) {
        this.hiringBasicInfo = hiringBasicInfo;
    }

    /**
     * 获取 审批经纪人关系
     *
     * @return hiringMemberShip 审批经纪人关系
     */
    public HiringMemberShip getHiringMemberShip() {
        return this.hiringMemberShip;
    }

    /**
     * 设置 审批经纪人关系
     *
     * @param hiringMemberShip 审批经纪人关系
     */
    public void setHiringMemberShip(HiringMemberShip hiringMemberShip) {
        this.hiringMemberShip = hiringMemberShip;
    }

    /**
     * 获取 审批经纪人工作经历
     *
     * @return hiringWorkingExperienceList 审批经纪人工作经历
     */
    public List<HiringWorkingExperience> getHiringWorkingExperienceList() {
        return this.hiringWorkingExperienceList;
    }

    /**
     * 设置 审批经纪人工作经历
     *
     * @param hiringWorkingExperienceList 审批经纪人工作经历
     */
    public void setHiringWorkingExperienceList(List<HiringWorkingExperience> hiringWorkingExperienceList) {
        this.hiringWorkingExperienceList = hiringWorkingExperienceList;
    }

    /**
     * 获取 经纪人申请名目
     *
     * @return hiringPersonalStatementsList 经纪人申请名目
     */
    public List<HiringPersonalStatements> getHiringPersonalStatementsList() {
        return this.hiringPersonalStatementsList;
    }

    /**
     * 设置 经纪人申请名目
     *
     * @param hiringPersonalStatementsList 经纪人申请名目
     */
    public void setHiringPersonalStatementsList(List<HiringPersonalStatements> hiringPersonalStatementsList) {
        this.hiringPersonalStatementsList = hiringPersonalStatementsList;
    }

    /**
     * 获取 经纪人合同条款是否同意
     *
     * @return hiringContractTermsConfirmsList 经纪人合同条款是否同意
     */
    public List<HiringContractTermsConfirms> getHiringContractTermsConfirmsList() {
        return this.hiringContractTermsConfirmsList;
    }

    /**
     * 设置 经纪人合同条款是否同意
     *
     * @param hiringContractTermsConfirmsList 经纪人合同条款是否同意
     */
    public void setHiringContractTermsConfirmsList(List<HiringContractTermsConfirms> hiringContractTermsConfirmsList) {
        this.hiringContractTermsConfirmsList = hiringContractTermsConfirmsList;
    }

    /**
     * 获取 已审批结果
     *
     * @return hiringApproveRecordsList 已审批结果
     */
    public List<HiringApproveRecords> getHiringApproveRecordsList() {
        return this.hiringApproveRecordsList;
    }

    /**
     * 设置 已审批结果
     *
     * @param hiringApproveRecordsList 已审批结果
     */
    public void setHiringApproveRecordsList(List<HiringApproveRecords> hiringApproveRecordsList) {
        this.hiringApproveRecordsList = hiringApproveRecordsList;
    }

    /**
     * 获取
     *
     * @return commonResult
     */
    public CommonResult getCommonResult() {
        return this.commonResult;
    }

    /**
     * 设置
     *
     * @param commonResult
     */
    public void setCommonResult(CommonResult commonResult) {
        this.commonResult = commonResult;
    }

    @Override
    public String toString() {
        return "HiringDetailQueryResponseVO{" +
                "hiringBasicInfoId=" + hiringBasicInfoId +
                ", hiringApproveSteps=" + hiringApproveSteps +
                ", hiringBasicInfo=" + hiringBasicInfo +
                ", hiringMemberShip=" + hiringMemberShip +
                ", hiringWorkingExperienceList=" + hiringWorkingExperienceList +
                ", hiringPersonalStatementsList=" + hiringPersonalStatementsList +
                ", hiringContractTermsConfirmsList=" + hiringContractTermsConfirmsList +
                ", hiringApproveRecordsList=" + hiringApproveRecordsList +
                ", commonResult=" + commonResult +
                '}';
    }

    public void setHeadImagePath(String headImagePath) {
        this.headImagePath = headImagePath;
    }

    public String getHeadImagePath() {
        return headImagePath;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName;
    }
}
